<?php

namespace App\Http\Controllers;

use App\Models\Exam;
use App\Models\Profile;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $user = User::find(Auth::id());
        $user_id = Auth::id();
        if($user->profile == null) {
            Profile::create([
                'user_id' => $user_id,
                'birth_date' => Carbon::now(),
                'gender' => 'ذكر'
            ]);
        }

        if($user->role_name != "Super Admin") {
            $user = Auth::user();
            return view('frontend.profile.profile', compact('user'));
        }

        $exams = Exam::where('user_id', '!=', null)->orderBy('created_at', 'DESC')->get();

        return view('home', compact('exams'));
    }
}
