<?php

namespace App\Http\Controllers;

use App\Models\Code;
use App\Models\Question;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use App\Traits\Helpers;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class PaymentController extends Controller
{
    use Helpers;
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {


        $total_amount = $request->codes_number * 19.99;

        $this->payment_with_data("8ac7a4c7818e8a9e01818f6e3b1d01c4", (string)$total_amount, $request->card_number, $request->owner_name, $request->month, $request->year, $request->cvv);

        if(session()->has('error')) {
            session()->flash('message', trans('main-sidebar.error'));
            return redirect()->back();
        }


        $exam_code = null;

        $user = User::where('id', Auth::id())->first();

        $user->update([
                'code' => "paied"
                ]);
            $user->save();

        if($request->codes_number == 1) {

            $exam_username = $request->name;
            $exam_birth_date = $request->birth_date;
            $exam_time_of_birth = $request->time_of_birth;
            $exam_city = $request->city;
            $exam_country = $request->country;
            $questions = Question::all();
            session()->flash('success', 'لقد تمت عملية الدفع بنجاح');
            return view('frontend.home', compact('questions', 'exam_code', 'exam_username', 'exam_birth_date', 'exam_time_of_birth', 'exam_city', 'exam_country'));
        }else {
            for ($x = 0; $x < $request->codes_number; $x++) {
                $code = new Code();

                $code['code'] = Str::random(16);
                $code['customer_id'] = Auth::id();
                $code->save();
            }
            session()->flash('message', 'لقد تم أنشاء مجموعة الأكواد بنجاح');
            $codes = Code::where('customer_id', Auth::id())->orderBy('created_at', 'DESC')->get();
            return view('frontend.codes.index', compact('codes'));
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('payment');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
