<?php

namespace App\Http\Controllers;

use App\Models\TeamCategory;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class TeamCategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('frontend.team.category');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $category = new TeamCategory();

        $category['user_id'] = Auth::id();
        $category['name'] = $request->name;
        $category->save();

        session()->flash('message', 'لقد تم إنشاء القسم بنجاح');

        $categories = TeamCategory::where('user_id', Auth::id())->get();
        $categoriesCount = TeamCategory::where('user_id', Auth::id())->count();
        return view('frontend.team.index', compact('categoriesCount', 'categories'));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\TeamCategory  $teamCategory
     * @return \Illuminate\Http\Response
     */
    public function show(TeamCategory $teamCategory)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\TeamCategory  $teamCategory
     * @return \Illuminate\Http\Response
     */
    public function edit(TeamCategory $teamCategory)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\TeamCategory  $teamCategory
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, TeamCategory $teamCategory)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\TeamCategory  $teamCategory
     * @return \Illuminate\Http\Response
     */
    public function destroy(TeamCategory $teamCategory)
    {
        //
    }
}
