@extends('dashboard.layouts.app')
@section('content')

    <div class="content-wrapper">
        <div class="page-header">
            <h3 class="page-title"> {{ trans('main-sidebar.careful_testings') }} </h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ url('/'. App::getLocale()) }}">{{ trans('main-sidebar.dashboard') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ trans('main-sidebar.careful_testings') }}</li>
                </ol>
            </nav>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">{{ trans('main-sidebar.careful_testings') }}</h4>
                        <table class="table">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>{{ trans('main-sidebar.email') }}</th>
                                <th>{{ trans('main-sidebar.phone_number') }}</th>
                                <th>{{ trans('main-sidebar.birth_date') }}</th>
                                <th>{{ trans('main-sidebar.time_birth') }}</th>
                                <th>{{ trans('main-sidebar.city') }}</th>
                                <th>{{ trans('main-sidebar.country') }}</th>
                                <th>{{ trans('main-sidebar.status') }}</th>
                                <th>{{ trans('main-sidebar.date') }}</th>
                                <th>{{ trans('main-sidebar.upload_results_pdf') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($exams as $exam)
                            <tr>
                                <td>{{ $loop->index+1 }}</td>
                                <td>{{ $exam->email }}</td>
                                <td>{{ $exam->phone_number }}</td>
                                <td>{{ $exam->birth_date }}</td>
                                <td>{{ $exam->time_of_birth }}</td>
                                <td>{{ $exam->city }}</td>
                                <td>{{ $exam->country }}</td>
                                <td><span class="badge @if($exam->status == 'active') badge-warning @else badge-success @endif"><a style="color: #fff" href="{{ route('update.status', ['id' => $exam->id]) }}">{{ $exam->status }}</a></span></td>
                                <td>{{ $exam->created_at->diffForHumans() }}</td>
                                <td><span class="badge badge-danger"><a style="color: #fff" href="{{ route('result.create', ['id' => $exam->id]) }}"><i class="mdi mdi-upload" style="color: #fff"></i> {{ trans('main-sidebar.upload_results_pdf') }}</a></span> </td>
                            </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- content-wrapper ends -->
    <!-- partial:partials/_footer.html -->

    <!-- partial -->
@endsection

@push('script')

    @if(session()->has('message'))
        <script>
            Toastify({
                text: '{{  session()->get('message') }}',
                duration: 3000,
                newWindow: true,
                close: true,
                gravity: "top", // `top` or `bottom`
                position: "left", // `left`, `center` or `right`
                stopOnFocus: true, // Prevents dismissing of toast on hover
                style: {
                    background: "linear-gradient(to right, #00b09b, #96c93d)",
                },
                onClick: function(){} // Callback after click
            }).showToast();
        </script>
    @endif
@endpush
