@extends('dashboard.layouts.app')
<style>
    .form-check {
        margin: 0 auto 20px 0!important;
    }
</style>
@section('content')

    <div class="content-wrapper">
        <div class="page-header">
            <h3 class="page-title"> {{ trans('main-sidebar.testings_list') }} </h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ url('/'. App::getLocale()) }}"> {{ trans('main-sidebar.dashboard') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page"> {{ trans('main-sidebar.testings_list') }}</li>
                </ol>
            </nav>
        </div>
        <div class="row">
            <div class="col-12">
                @foreach($exams as $exam)
                <div class="card mt-5">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="d-flex justify-content-between">
                                    <div>
                                        <h3>{{ $exam->user->name }}</h3>
                                    </div>
                                    <div>
                                        <h6 class="nav-link">
                                            <i class="mdi mdi-calendar"></i>
                                            {{ $exam->created_at->format('d/m/Y - h:m') }}
                                        </h6>
                                    </div>
                                    <div>
                                        <a class="btn btn-dark" style="background-color: #111111" href="{{ route('exam.show', ['id' => $exam->id]) }}">
                                            <i class="mdi mdi-eye"></i>
                                            {{ trans('main-sidebar.details') }}
                                        </a>
                                    </div>
                                </div>
                                <div class="mt-4 border-top border-bottom">
                                    <table class="table">
                                        <thead>
                                        <tr style="background-color: #67e0e1;color: #fff;">
                                            <th>Parts</th>
                                            <th>A</th>
                                            <th>B</th>
                                            <th>C</th>
                                            <th>D</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <?php
                                         $a_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'A'], ['answer', 'نعم']])->count();
                                         $b_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'B'], ['answer', 'نعم']])->count();
                                         $c_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'C'], ['answer', 'نعم']])->count();
                                         $d_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'D'], ['answer', 'نعم']])->count();
                                        ?>
                                            <tr>
                                                <td>Points</td>
                                                <td>{{ $a_count }}</td>
                                                <td>{{ $b_count }}</td>
                                                <td>{{ $c_count }}</td>
                                                <td>{{ $d_count }}</td>
                                            </tr>
                                            <tr>
                                                <td>%</td>
                                                <td>{{ $exam->a_percentage == 78.571428571429 ? (int)$exam->a_percentage+1 : (int)$exam->a_percentage }} %</td>
                                                <td>{{ $exam->b_percentage == 78.571428571429 ? (int)$exam->b_percentage+1 : (int)$exam->b_percentage }} %</td>
                                                <td>{{ $exam->c_percentage == 78.571428571429 ? (int)$exam->c_percentage+1 : (int)$exam->c_percentage }} %</td>
                                                <td>{{ $exam->d_percentage == 78.571428571429 ? (int)$exam->d_percentage+1 : (int)$exam->d_percentage }} %</td>
                                            </tr>
                                            <tr style="background-color: #f2edf3">
                                                <td>Profile</td>
                                                <td> @if((int)$exam->a_percentage < 33) 3 @elseif((int)$exam->a_percentage < 65) 2 @elseif((int)$exam->a_percentage > 66) 1 @endif</td>
                                                <td> @if((int)$exam->b_percentage < 33) 3 @elseif((int)$exam->b_percentage < 65) 2 @elseif((int)$exam->b_percentage > 66) 1 @endif</td>
                                                <td> @if((int)$exam->c_percentage < 33) 3 @elseif((int)$exam->c_percentage < 65) 2 @elseif((int)$exam->c_percentage > 66) 1 @endif</td>
                                                <td> @if((int)$exam->d_percentage < 33) 3 @elseif((int)$exam->d_percentage < 65) 2 @elseif((int)$exam->d_percentage > 66) 1 @endif</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </div>
    <!-- content-wrapper ends -->
    <!-- partial:partials/_footer.html -->

    <!-- partial -->
@endsection

@push('script')

@endpush
