@extends('dashboard.layouts.app')
@section('content')

    <div class="content-wrapper">
        <div class="page-header">
            <h3 class="page-title"> {{ trans('main-sidebar.edit_question') }} </h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ url('/') }}">{{ trans('main-sidebar.dashboard') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ trans('main-sidebar.edit_question') }}</li>
                </ol>
            </nav>
        </div>
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">{{ trans('main-sidebar.edit_question') }}</h4>

                        <form class="forms-sample" action="{{ route('question.update') }}" method="POST">
                            @csrf
                            <input type="hidden" name="id" value="{{ $question->id }}">

                            <div class="form-group">
                                <label for="question_ar">{{ trans('main-sidebar.question_ar') }}</label>
                                <input type="text" name="question_ar" class="form-control" id="question_ar" value="{{ $question->question_ar }}">
                            </div>
                            <div class="form-group">
                                <label for="question_en">{{ trans('main-sidebar.question_en') }}</label>
                                <input type="text" name="question_en" class="form-control" id="question_en" value="{{ $question->question_en }}">
                            </div>
                            <div class="form-group">
                                <label for="exampleFormControlSelect1">{{ trans('main-sidebar.q_category') }}</label>
                                <select class="form-control form-control-lg" name="category_id" id="exampleFormControlSelect1">
                                    @foreach($categories as $category)
                                        <option @if($question->category->id == $category->id) selected @endif value="{{ $category->id }}">{{ $category->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <button type="submit" class="btn btn-gradient-primary me-2">{{ trans('main-sidebar.save') }}</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- content-wrapper ends -->
    <!-- partial:partials/_footer.html -->

    <!-- partial -->
@endsection

@push('script')
    <!-- Custom js for this page -->
    <script src="{{ asset('assets/js/file-upload.js') }}"></script>
    <!-- End custom js for this page -->
@endpush
