@extends('dashboard.layouts.app')
@section('content')

    <div class="content-wrapper">
        <div class="page-header">
            <h3 class="page-title"> {{ trans('main-sidebar.questions') }} </h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a>{{ trans('main-sidebar.questions_list') }}</a></li>
                </ol>
            </nav>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                       {{--<p class="card-description"> Add class <code>.table</code></p> --}}
                        <a class="btn btn-gradient-primary btn-fw" href="{{ route('question.create') }}">
                            {{ trans('main-sidebar.add_question') }}
                        </a>
                        <table class="table">
                            <thead>
                            <tr>
                                <th>#</th>

                                <th>
                                    @if(App::getLocale() == 'ar')
                                        {{ trans('main-sidebar.question_ar') }}
                                    @else
                                        {{ trans('main-sidebar.question_en') }}
                                    @endif
                                </th>
                                <th>{{ trans('main-sidebar.q_category') }}</th>
                                <th>{{ trans('main-sidebar.date') }}</th>
                                <th>{{ trans('main-sidebar.actions') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($questions as $question)
                            <tr>
                                <td>{{ $loop->index+1 }}</td>
                                <td> @if(App::getLocale() == 'ar')
                                        {{ $question->question_ar }}
                                         @else
                                        {{ $question->question_en }}
                                    @endif
                                </td>
                                <td>{{ $question->category->name }}</td>
                                <td>{{ $question->created_at->diffForHumans() }}</td>
                                <td>
                                    <a style="line-height: 40px;" href="{{ route('question.edit', ['id' => $question->id ]) }}" class="btn btn-primary btn-rounded btn-icon">
                                        <i class="mdi mdi-pencil"></i>
                                    </a>
{{--                                    <button class="btn btn-danger btn-rounded btn-icon">--}}
{{--                                        <i class="mdi mdi-delete"></i>--}}
{{--                                    </button>--}}
                                </td>
                            </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- content-wrapper ends -->
    <!-- partial:partials/_footer.html -->

    <!-- partial -->
@endsection

@push('script')

    @if(session()->has('message'))
        <script>
            Toastify({
                text: '{{  session()->get('message') }}',
                duration: 3000,
                newWindow: true,
                close: true,
                gravity: "top", // `top` or `bottom`
                position: "left", // `left`, `center` or `right`
                stopOnFocus: true, // Prevents dismissing of toast on hover
                style: {
                    background: "linear-gradient(to right, #00b09b, #96c93d)",
                },
                onClick: function(){} // Callback after click
            }).showToast();
        </script>
    @endif
@endpush
