@extends('dashboard.layouts.app')
@section('content')

    <div class="content-wrapper">
        <div class="page-header">
            <h3 class="page-title"> {{ trans('main-sidebar.upload_results_pdf') }} </h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active" aria-current="page">{{ trans('main-sidebar.upload_results_pdf') }}</li>
                </ol>
            </nav>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">{{ trans('main-sidebar.upload_results_pdf') }}</h4>
                        {{--<p class="card-description"> Add class <code>.table</code></p> --}}

                        <form method="POST" action="{{ route('results.upload') }}" enctype="multipart/form-data">
                            @csrf
                            <input name="exam_id" value="{{ $exam_id }}" type="hidden">
                            <div class="form-group">
                                <label>{{ trans('main-sidebar.upload_results_pdf') }}</label>
                                <input type="file" name="pdf" class="file-upload-default">
                                <div class="input-group col-xs-12">
                                    <input type="text" class="form-control file-upload-info" disabled placeholder="Upload Pdf">
                                    <span class="input-group-append">
                                                    <button class="file-upload-browse btn btn-gradient-primary" type="button">Upload Pdf</button>
                                                  </span>
                                </div>
                            </div>

                            <button type="submit" class="btn btn-success">{{ trans('main-sidebar.save') }}</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- content-wrapper ends -->
    <!-- partial:partials/_footer.html -->

    <!-- partial -->
@endsection


@push('script')
    <script src="{{ asset("assets/js/file-upload.js") }}"></script>


    @if(session()->has('message'))
        <script>
            Toastify({
                text: '{{  session()->get('message') }}',
                duration: 3000,
                newWindow: true,
                close: true,
                gravity: "top", // `top` or `bottom`
                position: "left", // `left`, `center` or `right`
                stopOnFocus: true, // Prevents dismissing of toast on hover
                style: {
                    background: "linear-gradient(to right, #00b09b, #96c93d)",
                },
                onClick: function(){} // Callback after click
            }).showToast();
        </script>
    @endif
@endpush
