@extends('frontend.layouts.app')
@section('frontend-content')

    <div class="content-wrapper">
        <div class="page-header">
            <h3 class="page-title"> {{ trans("main-sidebar.careful_exam") }} </h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ url('/' . App::getLocale()) }}">{{ trans('main-sidebar.dashboard') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ trans("main-sidebar.careful_exam") }}</li>
                </ol>
            </nav>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">{{ trans("main-sidebar.careful_exam") }}</h4>
                        {{--<p class="card-description"> Add class <code>.table</code></p> --}}
                        <table class="table">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>{{ trans('main-sidebar.q_category_name') }}</th>
                                <th>{{ trans('main-sidebar.date') }}</th>
                                <th>{{ trans('main-sidebar.actions') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($exams as $exam)
                            <tr>
                                <td>{{ $loop->index+1 }}</td>
                                <td>{{ \Illuminate\Support\Facades\Auth::user()->name }}</td>
                                <td>{{ $exam->created_at->diffForHumans() }}</td>
                                <td>
                                    @if($exam->pdf != null)
                                    <a href="{{ url('/') }}{{ $exam->pdf }}" download class="btn btn-success"><i class="mdi mdi-file-pdf-outline"></i> {{ trans('main-sidebar.pdf_download') }}</a>
                                    @endif
                                </td>
                            </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- content-wrapper ends -->
    <!-- partial:partials/_footer.html -->

    <!-- partial -->
@endsection

@push('frontend-script')

    @if(session()->has('message'))
        <script>
            Toastify({
                text: '{{  session()->get('message') }}',
                duration: 3000,
                newWindow: true,
                close: true,
                gravity: "top", // `top` or `bottom`
                position: "left", // `left`, `center` or `right`
                stopOnFocus: true, // Prevents dismissing of toast on hover
                style: {
                    background: "linear-gradient(to right, #00b09b, #96c93d)",
                },
                onClick: function(){} // Callback after click
            }).showToast();
        </script>
    @endif
@endpush
