@extends('frontend.layouts.app')
<style>
    .form-check {
        margin: 0 auto 20px 0!important;
    }
</style>
@section('frontend-content')

    <div class="content-wrapper">
        <div class="page-header">
            <h3 class="page-title"> تفاصيل الإختبار </h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active" aria-current="page"> تفاصيل الإختبار </li>
                </ol>
            </nav>
        </div>
        <div class="row">
            <div class="col-12 mb-3">
                <div class="card">
                    <div class="card-body">

                        <p><span>{{ trans('main-sidebar.full_name') }}</span> : {{ $exam->user_name }}</p>
                        <p><span>{{ trans('main-sidebar.birth_date') }}</span> : {{ $exam->birth_date }}</p>
                        <p><span>{{ trans('main-sidebar.time_birth') }}</span> : {{ $exam->time_of_birth }}</p>
                        <p><span>{{ trans('main-sidebar.city') }}</span> : {{ $exam->city }}</p>
                        <p><span>{{ trans('main-sidebar.country') }}</span> : {{ $exam->country }}</p>

                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <?php
                        $a_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'A'], ['answer', 'نعم']])->count();
                        $b_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'B'], ['answer', 'نعم']])->count();
                        $c_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'C'], ['answer', 'نعم']])->count();
                        $d_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'D'], ['answer', 'نعم']])->count();
                        ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="d-flex justify-content-between">
                                    <div>
{{--                                        <h3>{{ $exam->user->name }}</h3>--}}
                                    </div>
                                    <div>
                                        <h6 class="nav-link">
                                            <i class="mdi mdi-calendar"></i>
                                            {{ $exam->created_at->format('d/m/Y - h:m') }}
                                        </h6>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 m-auto">
                                <div class="mt-4 border-top border-bottom">
                                    <h5 class="text-center">بوصلة التفكير</h5>
                                    <div>
                                        <canvas id="myChart"></canvas>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-12">
                                <div class="mt-4 border-top border-bottom">
                                    <table class="table">
                                        <thead>
                                        <tr style="background-color: #67e0e1;color: #fff;">
                                            <th>Parts</th>
                                            <th>A</th>
                                            <th>B</th>
                                            <th>C</th>
                                            <th>D</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <?php
                                        $a_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'A'], ['answer', 'نعم']])->count();
                                        $b_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'B'], ['answer', 'نعم']])->count();
                                        $c_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'C'], ['answer', 'نعم']])->count();
                                        $d_count = App\Models\Quiz::where([['exam_id', $exam->id], ['category', 'D'], ['answer', 'نعم']])->count();
                                        ?>
                                        <tr>
                                            <td>Points</td>
                                            <td>{{ $a_count }}</td>
                                            <td>{{ $b_count }}</td>
                                            <td>{{ $c_count }}</td>
                                            <td>{{ $d_count }}</td>
                                        </tr>
                                        <tr>
                                            <td>%</td>
                                            <td>{{ $exam->a_percentage == 78.571428571429 ? (int)$exam->a_percentage+1 : (int)$exam->a_percentage }} %</td>
                                            <td>{{ $exam->b_percentage == 78.571428571429 ? (int)$exam->b_percentage+1 : (int)$exam->b_percentage }} %</td>
                                            <td>{{ $exam->c_percentage == 78.571428571429 ? (int)$exam->c_percentage+1 : (int)$exam->c_percentage }} %</td>
                                            <td>{{ $exam->d_percentage == 78.571428571429 ? (int)$exam->d_percentage+1 : (int)$exam->d_percentage }} %</td>
                                        </tr>
                                        <tr style="background-color: #f2edf3">
                                            <td>Profile</td>
                                            <td> @if((int)$exam->a_percentage < 33) 3 @elseif((int)$exam->a_percentage < 65) 2 @elseif((int)$exam->a_percentage > 66) 1 @endif</td>
                                            <td> @if((int)$exam->b_percentage < 33) 3 @elseif((int)$exam->b_percentage < 65) 2 @elseif((int)$exam->b_percentage > 66) 1 @endif</td>
                                            <td> @if((int)$exam->c_percentage < 33) 3 @elseif((int)$exam->c_percentage < 65) 2 @elseif((int)$exam->c_percentage > 66) 1 @endif</td>
                                            <td> @if((int)$exam->d_percentage < 33) 3 @elseif((int)$exam->d_percentage < 65) 2 @elseif((int)$exam->d_percentage > 66) 1 @endif</td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>

                    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>


                    <script>
                        const ctx = document.getElementById('myChart');
                        const myChart = new Chart(ctx, {
                            type: 'polarArea',
                            data: {
                                labels: [
                                    'D',
                                    'C',
                                    'B',
                                    'A'
                                ],
                                datasets: [{
                                    label: 'My First Dataset',
                                    data: [{{ $d_count }}, {{ $c_count }}, {{ $b_count }}, {{ $a_count }}],
                                    backgroundColor: [
                                        '#c9bb31',
                                        '#cb505e',
                                        '#27865b',
                                        '#2e6fa8'
                                    ]
                                }]
                            },
                            options: {
                                scales: {
                                    y: {
                                        beginAtZero: true
                                    }
                                }
                            }
                        });
                    </script>
            </div>
        </div>

        <?php $currentExam = \App\Models\Exam::find($exam->id); ?>

        @if($currentExam->a_percentage > 66)
        <div class="row mt-5">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        @foreach(\App\Models\Result::where('category', 'A')->get() as $result)
                                <h5><b>{{ $result->title }}</b></h5>
                                <p>{{ $result->content }}</p>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
        @endif

    @if($currentExam->b_percentage > 66)
        <div class="row mt-5">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                            @foreach(\App\Models\Result::where('category', 'B')->get() as $result)
                                    <h5><b>{{ $result->title }}</b></h5>
                                    <p>{{ $result->content }}</p>
                            @endforeach
                    </div>
                </div>
            </div>
        </div>
        @endif


    @if($currentExam->c_percentage > 66)
        <div class="row mt-5">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                            @foreach(\App\Models\Result::where('category', 'C')->get() as $result)
                                    <h5><b>{{ $result->title }}</b></h5>
                                    <p>{{ $result->content }}</p>
                            @endforeach
                    </div>
                </div>
            </div>
        </div>
    @endif

    @if($currentExam->d_percentage > 66)
        <div class="row mt-5">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                            @foreach(\App\Models\Result::where('category', 'D')->get() as $result)
                                    <h5><b>{{ $result->title }}</b></h5>
                                    <p>{{ $result->content }}</p>
                            @endforeach
                    </div>
                </div>
            </div>
        </div>
    @endif


    </div>
    <!-- content-wrapper ends -->
    <!-- partial:partials/_footer.html -->

    <!-- partial -->
@endsection

@push('frontend-script')

@endpush
