<?php $__env->startSection('frontend-content'); ?>

    <div class="content-wrapper">
        <div class="page-header">
            <h3 class="page-title"> <?php echo e(trans("main-sidebar.careful_exam")); ?> </h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="<?php echo e(url('/' . App::getLocale())); ?>"><?php echo e(trans('main-sidebar.dashboard')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo e(trans("main-sidebar.careful_exam")); ?></li>
                </ol>
            </nav>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title"><?php echo e(trans("main-sidebar.careful_exam")); ?></h4>
                        
                        <table class="table">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th><?php echo e(trans('main-sidebar.q_category_name')); ?></th>
                                <th><?php echo e(trans('main-sidebar.date')); ?></th>
                                <th><?php echo e(trans('main-sidebar.actions')); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $exams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $exam): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->index+1); ?></td>
                                <td><?php echo e(\Illuminate\Support\Facades\Auth::user()->name); ?></td>
                                <td><?php echo e($exam->created_at->diffForHumans()); ?></td>
                                <td>
                                    <?php if($exam->pdf != null): ?>
                                    <a href="<?php echo e(url('/')); ?><?php echo e($exam->pdf); ?>" download class="btn btn-success"><i class="mdi mdi-file-pdf-outline"></i> <?php echo e(trans('main-sidebar.pdf_download')); ?></a>
                                    <?php endif; ?>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- content-wrapper ends -->
    <!-- partial:partials/_footer.html -->

    <!-- partial -->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('frontend-script'); ?>

    <?php if(session()->has('message')): ?>
        <script>
            Toastify({
                text: '<?php echo e(session()->get('message')); ?>',
                duration: 3000,
                newWindow: true,
                close: true,
                gravity: "top", // `top` or `bottom`
                position: "left", // `left`, `center` or `right`
                stopOnFocus: true, // Prevents dismissing of toast on hover
                style: {
                    background: "linear-gradient(to right, #00b09b, #96c93d)",
                },
                onClick: function(){} // Callback after click
            }).showToast();
        </script>
    <?php endif; ?>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('frontend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/mohammedkittab/Downloads/idea (15)/resources/views/frontend/design_exam/index.blade.php ENDPATH**/ ?>