<!DOCTYPE HTML>
<html>
<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css">

    <style>
        body{background: #f5f5f5}.rounded{border-radius: 1rem}.nav-pills .nav-link{color: #555}.nav-pills .nav-link.active{color: white}input[type="radio"]{margin-right: 5px}.bold{font-weight:bold}
        .nav-pills .nav-link.active, .nav-pills .show>.nav-link {
            background-color: #67e0e1!important;
        }
    </style>
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/toastify-js/src/toastify.min.css">


    <script>
        $(function() {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
</head>
<body>
<div class="container py-5">
    <!-- For demo purpose -->
    <div class="row mb-4">
        <div class="col-lg-8 mx-auto text-center">
            <h1 class="display-6"><?php echo e(trans("main-sidebar.careful_exam")); ?></h1>
            <p><?php echo e(trans("main-sidebar.careful_note")); ?></p>
        </div>
    </div> <!-- End -->
    <div class="row">
        <div class="col-lg-6 mx-auto">
            <div class="card ">
                <div class="card-header">
                    <div class="bg-white shadow-sm pt-4 pl-2 pr-2 pb-2">
                        <!-- Credit card form tabs -->
                        <ul role="tablist" class="nav bg-light nav-pills rounded nav-fill mb-3">
                            <li class="nav-item">
                                <a data-toggle="pill" class="nav-link active " style="padding-top: 20px;padding-bottom: 20px">
                                    <?php echo e(trans("main-sidebar.careful_exam")); ?>

                                </a>
                            </li>
                        </ul>
                    </div> <!-- End -->
                    <!-- Credit card form content -->
                    <div class="tab-content">
                        <!-- credit card info-->
                        <div id="credit-card" class="tab-pane fade show active pt-3">
                            <form role="form" method="POST" action="<?php echo e(route('design_exam.store')); ?>">
                                <?php echo csrf_field(); ?>
                                <div class="form-group">
                                    <label for="BirthDate"><?php echo e(trans('main-sidebar.birth_date')); ?></label>
                                    <input type="date" name="birth_date" value="<?php echo e($user->profile->birth_date); ?>" class="form-control" id="BirthDate">
                                </div>
                                <div class="form-group">
                                    <label for="BirthTime"><?php echo e(trans('main-sidebar.time_birth')); ?></label>
                                    <input type="time" name="time_of_birth" value="<?php echo e($user->profile->time_of_birth); ?>" class="form-control" id="BirthTime">
                                </div>
                                <div class="form-group">
                                    <label for="City"><?php echo e(trans('main-sidebar.city')); ?></label>
                                    <input type="text" value="<?php echo e($user->profile->city); ?>" name="city" class="form-control" id="City" placeholder="City of Birth">
                                </div>
                                <div class="form-group">
                                    <label for="Country"><?php echo e(trans('main-sidebar.country')); ?></label>
                                    <input type="text" value="<?php echo e($user->profile->country); ?>" name="country" class="form-control" id="Country" placeholder="Country Of Birth">
                                </div>
                                
                                <hr>
                                <div class="form-group">
                                    <label for="Phone"><?php echo e(trans('main-sidebar.phone_number')); ?></label>
                                    <input type="text" name="phone_number" class="form-control" id="Phone" placeholder="<?php echo e(trans('main-sidebar.phone_number')); ?>" value="<?php echo e($user->phone_number); ?>">
                                </div>
                                <div class="form-group">
                                    <label for="Email"><?php echo e(trans('main-sidebar.email')); ?></label>
                                    <input type="email" name="email" class="form-control" id="Email" placeholder="<?php echo e(trans('main-sidebar.email')); ?>" value="<?php echo e($user->email); ?>">
                                </div>
                                <div class="card-footer">
                                    <button type="submit" class="subscribe btn btn-primary btn-block shadow-sm"> <?php echo e(trans('main-sidebar.save')); ?> </button>
                                </div>
                            </form>
                        </div>
                    </div> <!-- End -->
                    <!-- End -->
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/toastify-js"></script>

<?php if(session()->has('message')): ?>
    <script>
        Toastify({
            text: '<?php echo e(session()->get('message')); ?>',
            duration: 3000,
            newWindow: true,
            close: true,
            gravity: "top", // `top` or `bottom`
            position: "left", // `left`, `center` or `right`
            stopOnFocus: true, // Prevents dismissing of toast on hover
            style: {
                background: "linear-gradient(to right, #00b09b, #96c93d)",
            },
            onClick: function(){} // Callback after click
        }).showToast();
    </script>
<?php endif; ?>

</body>
</html><?php /**PATH /Users/mohammedkittab/Downloads/idea (15)/resources/views/frontend/design_exam/create.blade.php ENDPATH**/ ?>