<?php $__env->startSection('content'); ?>

    <div class="content-wrapper">
        <div class="page-header">
            <h3 class="page-title"> <?php echo e(trans('main-sidebar.codes')); ?> </h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="<?php echo e(url('/')); ?>"><?php echo e(trans('main-sidebar.dashboard')); ?></a></li>
                    <li class="breadcrumb-item active"><a><?php echo e(trans('main-sidebar.codes_list')); ?></a></li>
                </ol>
            </nav>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title"><?php echo e(trans('main-sidebar.codes_list')); ?></h4>

                        <table class="table">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th><?php echo e(trans('main-sidebar.code')); ?></th>
                                <th><?php echo e(trans('main-sidebar.status')); ?></th>
                                <th><?php echo e(trans('main-sidebar.date')); ?></th>
                                <th><?php echo e(trans('main-sidebar.actions')); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $codes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $code): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->index +1); ?></td>
                                <td><?php echo e($code->code); ?></td>
                                <td><span class="badge <?php if($code->status == 'available'): ?> badge-success <?php else: ?> badge-danger <?php endif; ?>"><?php echo e($code->status); ?></span></td>
                                <td><?php echo e($code->created_at->diffForHumans()); ?></td>
                                <td>
                                    <button class="btn btn-primary btn-rounded btn-icon">
                                        <i class="mdi mdi-pencil"></i>
                                    </button>
                                    <button class="btn btn-danger btn-rounded btn-icon">
                                        <i class="mdi mdi-delete"></i>
                                    </button>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- content-wrapper ends -->
    <!-- partial:partials/_footer.html -->

    <!-- partial -->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>

    <?php if(session()->has('message')): ?>
        <script>
            Toastify({
                text: '<?php echo e(session()->get('message')); ?>',
                duration: 3000,
                newWindow: true,
                close: true,
                gravity: "top", // `top` or `bottom`
                position: "left", // `left`, `center` or `right`
                stopOnFocus: true, // Prevents dismissing of toast on hover
                style: {
                    background: "linear-gradient(to right, #00b09b, #96c93d)",
                },
                onClick: function(){} // Callback after click
            }).showToast();
        </script>
    <?php endif; ?>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('dashboard.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/crmain/public_html/herman/resources/views/dashboard/codes/upload.blade.php ENDPATH**/ ?>
